    <style include="cr-shared-style settings-shared passwords-shared iron-flex">
      #addressList .start {
        display: flex;
        overflow: hidden;
      }

      #addressSummary {
        display: flex;
        flex: 1;
        overflow: hidden;
      }
    </style>
    <settings-toggle-button id="autofillProfileToggle"
        aria-label="$i18n{addressesTitle}" no-extension-indicator
        label="$i18n{enableProfilesLabel}"
        sub-label="$i18n{enableProfilesSublabel}"
        pref="{{prefs.autofill.profile_enabled}}">
    </settings-toggle-button>
    <template is="dom-if" if="[[prefs.autofill.profile_enabled.extensionId]]">
      <div class="cr-row continuation">
        <extension-controlled-indicator class="flex"
            id="autofillExtensionIndicator"
            extension-id="[[prefs.autofill.profile_enabled.extensionId]]"
            extension-name="[[prefs.autofill.profile_enabled.controlledByName]]"
            extension-can-be-disabled="[[
                prefs.autofill.profile_enabled.extensionCanBeDisabled]]">
        </extension-controlled-indicator>
      </div>
    </template>
    <div class="cr-row continuation">
      <h2 class="flex">$i18n{addresses}</h2>
      <cr-button id="addAddress" class="header-aligned-button"
          on-click="onAddAddressTap_"
          hidden$="[[!prefs.autofill.profile_enabled.value]]">
        $i18n{add}
      </cr-button>
    </div>
    <div class="list-frame">
      <div id="addressList" class="vertical-list">
        <template is="dom-repeat" items="[[addresses]]">
          <div class="list-item">
            <div class="start">
              <span id="addressSummary">
                <span class="ellipses">
                  [[item.metadata.summaryLabel]]
                </span>
                <span class="ellipses">
                  [[item.metadata.summarySublabel]]
                </span>
              </span>
            </div>
            <template is="dom-if" if="[[item.metadata.isLocal]]">
              <cr-icon-button class="icon-more-vert" id="addressMenu"
                  on-click="onAddressMenuTap_" title="$i18n{moreActions}">
              </cr-icon-button>
            </template>
            <template is="dom-if" if="[[!item.metadata.isLocal]]">
              <cr-icon-button class="icon-external"
                  on-click="onRemoteEditAddressTap_"></cr-icon-button>
            </template>
          </div>
        </template>
      </div>
      <div id="noAddressesLabel" class="list-item"
          hidden$="[[hasSome_(addresses)]]">
        $i18n{noAddressesFound}
      </div>
    </div>
    <cr-action-menu id="addressSharedMenu" role-description="$i18n{menu}">
      <button id="menuEditAddress" class="dropdown-item"
          on-click="onMenuEditAddressTap_">$i18n{edit}</button>
      <button id="menuRemoveAddress" class="dropdown-item"
          on-click="onMenuRemoveAddressTap_">$i18n{removeAddress}</button>
    </cr-action-menu>
    <template is="dom-if" if="[[showAddressDialog_]]" restamp>
      <settings-address-edit-dialog address="[[activeAddress]]"
          on-close="onAddressDialogClose_">
      </settings-address-edit-dialog>
    </template>
    <template is="dom-if" if="[[showAddressRemoveConfirmationDialog_]]" restamp>
      <settings-address-remove-confirmation-dialog
          on-close="onAddressRemoveConfirmationDialogClose_">
      </settings-address-remove-confirmation-dialog>
    </template>
